# Confar

[![Build Status](https://travis-ci.com/sanjairocky/confar.svg?branch=main)](https://travis-ci.com/sanjairocky/confar)
[![License](https://img.shields.io/badge/License-MIT-blue.svg)](https://opensource.org/licenses/MIT)
[![Python Version](https://img.shields.io/badge/Python-3.8%2B-blue.svg)](https://www.python.org/downloads/)

"Configuration Aggregator and Runner" is an application that consolidates configuration data and executes tasks or processes based on that configuration.

Confar is a Python CLI and library for configuration management, designed to aggregate and manage configuration data and execute tasks based on that configuration.

## Table of Contents

- [Installation](#installation)
- [Usage](#usage)
- [Contributing](#contributing)
- [License](#license)

## Installation

You can install Confar via pip:

```bash
pip install confar
```

## Usage

### CLI

```bash
confar <command> [options]
```

For detailed CLI documentation and examples, refer to the CLI documentation.

### Library

```python
import confar

# library usage
```

For detailed library documentation and examples, refer to the [Library documentation](https://sanjairocky.github.io/confar/).

## Contributing

We welcome contributions from the community. If you'd like to contribute to Confar, please read our Contributing Guidelines and Code of Conduct.

## License

Confar is licensed under the MIT License - see the LICENSE file for details.
